Summary:	Zstandard - fast lossless compression algorithm
Summary(pl.UTF-8):	Zstandard - szybki, bezstratny algorytm kompresji
Name:		zstd
Version:	1.4.5
Release:	3
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/facebook/zstd/releases
Source0:	https://github.com/facebook/zstd/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0083d997dc845d9e1fc4249f450b7ce3
URL:		https://github.com/facebook/zstd
BuildRequires:	gcc >= 5:3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zstd, short for Zstandard, is a fast lossless compression algorithm,
targeting real-time compression scenarios at zlib-level compression
ratio.

%description -l pl.UTF-8
Zstd (skrót od Zstandard) to szybki, bezstratny algorytm kompresji, do
zastosowwań przy kompresji w czasie rzeczywistym ze współczynnikiem
kompresji zbliżonym do biblioteki zlib.

%package devel
Summary:	Header files for Zstd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Zstd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Zstd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Zstd.

%package static
Summary:	Static Zstd library
Summary(pl.UTF-8):	Statyczna biblioteka Zstd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Zstd library.

%description static -l pl.UTF-8
Statyczna biblioteka Zstd.

%prep
%setup -q

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
CXXFLAGS="%{rpmcxxflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} allmost manual \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	V=1 \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libzstd.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libzstd.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libzstd.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE CHANGELOG README.md
%attr(755,root,root) %{_bindir}/unzstd
%attr(755,root,root) %{_bindir}/zstd
%attr(755,root,root) %{_bindir}/zstdcat
%attr(755,root,root) %{_bindir}/zstdgrep
%attr(755,root,root) %{_bindir}/zstdless
%attr(755,root,root) %{_bindir}/zstdmt
%attr(755,root,root) /%{_lib}/libzstd.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libzstd.so.1
%{_mandir}/man1/unzstd.1*
%{_mandir}/man1/zstd.1*
%{_mandir}/man1/zstdcat.1*
%{_mandir}/man1/zstdgrep.1*
%{_mandir}/man1/zstdless.1*

%files devel
%defattr(644,root,root,755)
%doc doc/{zstd_compression_format.md,zstd_manual.html,images}
%attr(755,root,root) %{_libdir}/libzstd.so
%{_includedir}/zbuff.h
%{_includedir}/zdict.h
%{_includedir}/zstd.h
%{_includedir}/zstd_errors.h
%{_pkgconfigdir}/libzstd.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzstd.a
%changelog
* Wed Nov 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zstd.git;a=log;h=master

* Wed Nov 25 2020 Jan Palus <atler@pld-linux.org> 67417d2
- always segfaults on i686, try rebuilding
- release 3 (by relup.sh)

* Sat Nov 14 2020 Jan Palus <atler@pld-linux.org> 4862656
- skip building contrib which ignores CFLAGS

* Sat Nov 14 2020 Jan Palus <atler@pld-linux.org> cfde35c
- pass CXX and CXXFLAGS

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> f822df6
- enable parallel build
- rel 2

* Sat Oct 24 2020 Jan Rękorajski <baggins@pld-linux.org> 2a73dcc
- move shared library to / for rpm

* Mon May 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 2219447
- up to 1.4.5

* Wed Jan 15 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 6107f24
- up to 1.4.4

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 2badb04
- updated to 1.4.3

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 86f2100
- updated to 1.4.0
- updated noquiet patch

* Fri Apr 12 2019 mis <mistoo@gmail.com> ce3b3dc
- up to 1.3.8

* Wed Nov 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 7373096
- updated to 1.3.7
- updated noquiet patch

* Sat Jul 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 46edb54
- up to 1.3.5

* Fri Apr 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 14b5ee4
- updated to 1.1.4
- updated noquiet patch
- removed obsolete no32,noclean patches

* Mon Dec 26 2016 Jakub Bogusz <qboosh@pld-linux.org> a3eb5c8
- updated to 1.1.2
- updated noquiet,noclean patches

* Fri Sep 16 2016 Jakub Bogusz <qboosh@pld-linux.org> d72b5eb
- updated to 1.0.0 (note: new soname)
- updated noquiet,no32 patches

* Sat Apr 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 8edbfa0
- new

